using HonourWorld.Core.Encryption.EncipherSha;
using System.Text.RegularExpressions;
using Honour=HonourWorld.Core.Common;

namespace MachineCode
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnIntroduction_Click(object sender, EventArgs e)
        {
            string machineCode = Honour.MachineCode.GetMachineCodeString();
            machineCode = EncryptionSha.GetSha1HashString(machineCode);
            machineCode = Regex.Replace(machineCode, @"\w{8}", "$0-", RegexOptions.IgnoreCase).TrimEnd('-');
            var result = MessageBox.Show($"룺{machineCode}", "ʾ", MessageBoxButtons.OK);
        }
    }
}